# ---------------------------------------------------------------------------
# RemoveOnclick - A Plugin for Movable Type
#
# <MTCRemoveOnclick> container tag removes onclick attribute in the img tag.
#
# Release 1.0
# October 12, 2004
#
# Author: nlog(n)
# http://nlogn.ath.cx/
#
# Copyright (c) 2004 nlog(n) All rights reserved.
# ---------------------------------------------------------------------------

package MT::Plugins::RemoveOnclick;

use strict;
use MT::Template::Context;
MT::Template::Context->add_container_tag(CRemoveOnclick => \&CRemoveOnclick);

use vars qw($VERSION);
$VERSION = 1.0;

sub CRemoveOnclick {
  my ($ctx, $args) = @_;

  my $tokens = $ctx->stash('tokens');
  my $builder = $ctx->stash('builder');

  defined(my $out = $builder->build($ctx, $tokens))
    or return $ctx->error($builder->errstr);

  $out =~ s/\s+onclick=".*?"//ig;
  $out =~ s/\s+onkeypress=".*?"//ig;

  $out;
}

1;
